Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] Installationsproblem - doch noch nicht gelöst!
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
mptaiko
n00b
n00b


Joined: 05 Jan 2019
Posts: 33

PostPosted: Tue Jan 15, 2019 6:36 pm    Post subject: [gelöst] Installationsproblem - doch noch nicht gelöst! Reply with quote

hallo Leute,

in meinem ersten Thread zum o.g Thema https://forums.gentoo.org/viewtopic-t-1091792.html habe ich im Nachgang einige Pakete installieren können, nachdem ich die Hinweise von Child of Sun und Franzf bevolgt habe. Die Installation funktionierte bei Anwendungen aus dem Grafikbereich wie Gimp Inkscape oder Simple-Scan.

was mich momentan etwas bothert, sind QEMU ind Libreoffice-bin. hier kommen die gewohnten Fehlermeldungen. Bei Libreoffice wird bei der ersten Abhängigkeit abgebrochen
Code:
>>> Failed to emerge dev-cpp/libcmis-0.5.2_pre20160820-r1, Log file:

>>>  '/var/tmp/portage/dev-cpp/libcmis-0.5.2_pre20160820-r1/temp/build.log'

 * Messages for package dev-cpp/libcmis-0.5.2_pre20160820-r1:

 * ERROR: dev-cpp/libcmis-0.5.2_pre20160820-r1::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=dev-cpp/libcmis-0.5.2_pre20160820-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-cpp/libcmis-0.5.2_pre20160820-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-cpp/libcmis-0.5.2_pre20160820-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-cpp/libcmis-0.5.2_pre20160820-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-cpp/libcmis-0.5.2_pre20160820-r1/work/libcmis-0.5.2_pre20160820'
 * S: '/var/tmp/portage/dev-cpp/libcmis-0.5.2_pre20160820-r1/work/libcmis-0.5.2_pre20160820'
micha@fritz ~ %

Bei Qemu:
Code:

ERROR: User requested feature curl
       configure was not able to find it.
       Install libcurl devel

 * ERROR: app-emulation/qemu-3.1.0::gentoo failed (configure phase):
 *   configure failed
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_configure
 *   environment, line 4840:  Called qemu_src_configure 'softmmu'
 *   environment, line 4616:  Called die
 * The specific snippet of code:
 *       ../configure "${conf_opts[@]}" || die "configure failed";
 *
 * If you need support, post the output of `emerge --info '=app-emulation/qemu-3.1.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-emulation/qemu-3.1.0::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/app-emulation/qemu-3.1.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/qemu-3.1.0/temp/environment'.
 * Working directory: '/var/tmp/portage/app-emulation/qemu-3.1.0/work/qemu-3.1.0/softmmu-build'
 * S: '/var/tmp/portage/app-emulation/qemu-3.1.0/work/qemu-3.1.0'

>>> Failed to emerge app-emulation/qemu-3.1.0, Log file:

>>>  '/var/tmp/portage/app-emulation/qemu-3.1.0/temp/build.log'

 * Messages for package app-emulation/qemu-3.1.0:

 * ERROR: app-emulation/qemu-3.1.0::gentoo failed (configure phase):
 *   configure failed
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_configure
 *   environment, line 4840:  Called qemu_src_configure 'softmmu'
 *   environment, line 4616:  Called die
 * The specific snippet of code:
 *       ../configure "${conf_opts[@]}" || die "configure failed";
 *
 * If you need support, post the output of `emerge --info '=app-emulation/qemu-3.1.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-emulation/qemu-3.1.0::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/app-emulation/qemu-3.1.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/qemu-3.1.0/temp/environment'.
 * Working directory: '/var/tmp/portage/app-emulation/qemu-3.1.0/work/qemu-3.1.0/softmmu-build'
 * S: '/var/tmp/portage/app-emulation/qemu-3.1.0/work/qemu-3.1.0'

Wie gesagt, dieses gesamte Installationsprozedere durchschaue ich leider noch nicht. Warum werden einige Anwendungen problemlos iństalliert und andere nicht? Leider brauche ich im Monḿent diese beiden Programme relatic dringend.

Was muss ich tun?

LG Micha


Last edited by mptaiko on Fri Jan 18, 2019 12:05 pm; edited 2 times in total
Back to top
View user's profile Send private message
grumblebear
Tux's lil' helper
Tux's lil' helper


Joined: 26 Feb 2008
Posts: 141

PostPosted: Wed Jan 16, 2019 10:22 am    Post subject: Reply with quote

Wie im anderen Thread angesprochen, solltest du dein System nach einem Sync am bestem mit einem "emerge -auND @world" aktuell halten.
Jetzt würde ich zuerst einmal ein "revdep-rebuild -a" empfehlen, denn da scheinen irgendwelche Abhängigkeiten nicht mehr zu stimmen.
Back to top
View user's profile Send private message
mptaiko
n00b
n00b


Joined: 05 Jan 2019
Posts: 33

PostPosted: Wed Jan 16, 2019 6:34 pm    Post subject: Reply with quote

Hallo Grumblebear,

emerge -auND @world hatte ich ausgeführt. Für revdep-rebuild -a muss ich wohl noch gentoolkit installieren. Das fehlt auf meinem System. Habe es installiert und repdev-rebuild -p ausgeführt.
Code:
fritz micha # revdep-rebuild -p
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Collecting system binaries and libraries
 * Checking dynamic linking consistency

Your system is consistent
fritz micha # revdep-rebuild --library libstdc++.so.5 -- -p -v
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Checking dynamic linking consistency

Your system is consistent
fritz micha # revdep-rebuild --library libstdc++.so.5
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Checking dynamic linking consistency

Your system is consistent

Aber die QEMU- ind Libreoffice-Installationen klappen auch noch nicht.
Back to top
View user's profile Send private message
Tyrus
Tux's lil' helper
Tux's lil' helper


Joined: 03 Feb 2018
Posts: 143

PostPosted: Wed Jan 16, 2019 7:31 pm    Post subject: Reply with quote

Es lässt sich leider aus "emake failed" nicht sagen was genau beim Compile-Lauf nicht geklappt hat. Genauso ist für qemu auch nur zu erkennen das etwas während der Configurierungsphase des Paketes fehlschlägt.

Hilfreich wäre wenn du für beide Pakete die vollständigen Build-Logs mal hier einstellen kannst.
Also konkret:
Code:

/var/tmp/portage/dev-cpp/libcmis-0.5.2_pre20160820-r1/temp/build.log

und
Code:

/var/tmp/portage/app-emulation/qemu-3.1.0/temp/build.log


Bei qemu gibt es Useflags "qemu_softmmu_targets_xxxxxxxxxxxxx". Für welches target wird denn gebaut?
Code:

 - - qemu_softmmu_targets_aarch64      : ARM64 system emulation target
 - - qemu_softmmu_targets_alpha        : system emulation target
 - - qemu_softmmu_targets_arm          : system emulation target
 - - qemu_softmmu_targets_cris         : system emulation target
 - - qemu_softmmu_targets_hppa         : system emulation target
 - - qemu_softmmu_targets_i386         : system emulation target
 - - qemu_softmmu_targets_lm32         : LatticeMico32 system emulation target
 - - qemu_softmmu_targets_m68k         : system emulation target
 - - qemu_softmmu_targets_microblaze   : system emulation target
 - - qemu_softmmu_targets_microblazeel : system emulation target
 - - qemu_softmmu_targets_mips         : system emulation target
 - - qemu_softmmu_targets_mips64       : system emulation target
 - - qemu_softmmu_targets_mips64el     : system emulation target
 - - qemu_softmmu_targets_mipsel       : system emulation target
 - - qemu_softmmu_targets_moxie        : moxielogic system emulation target
 - - qemu_softmmu_targets_nios2        : system emulation target
 - - qemu_softmmu_targets_or1k         : OpenRISC system emulation target
 - - qemu_softmmu_targets_ppc          : system emulation target
 - - qemu_softmmu_targets_ppc64        : system emulation target
 - - qemu_softmmu_targets_riscv32      : system emulation target
 - - qemu_softmmu_targets_riscv64      : system emulation target
 - - qemu_softmmu_targets_s390x        : system emulation target
 - - qemu_softmmu_targets_sh4          : system emulation target
 - - qemu_softmmu_targets_sh4eb        : system emulation target
 - - qemu_softmmu_targets_sparc        : system emulation target
 - - qemu_softmmu_targets_sparc64      : system emulation target
 - - qemu_softmmu_targets_tricore      : system emulation target
 - - qemu_softmmu_targets_unicore32    : system emulation target
 + - qemu_softmmu_targets_x86_64       : system emulation target
 - - qemu_softmmu_targets_xtensa       : system emulation target
 - - qemu_softmmu_targets_xtensaeb     : system emulation target
Back to top
View user's profile Send private message
mptaiko
n00b
n00b


Joined: 05 Jan 2019
Posts: 33

PostPosted: Thu Jan 17, 2019 3:10 pm    Post subject: Reply with quote

Hallo Tyrus,

zunächst einmal hier mein
Code:
 * Package:    app-emulation/qemu-3.1.0
 * Repository: gentoo
 * Maintainer: tamiko@gentoo.org virtualization@gentoo.org
 * USE:        abi_x86_64 aio alsa amd64 bzip2 caps curl elibc_glibc fdt filecaps jpeg kernel_linux ncurses nls opengl pin-upstream-blobs png pulseaudio python python_targets_python2_7 python_targets_python3_6 qemu_softmmu_targets_x86_64 sdl seccomp usb userland_GNU vhost-net vnc xattr
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking qemu-3.1.0.tar.xz to /var/tmp/portage/app-emulation/qemu-3.1.0/work
>>> Source unpacked in /var/tmp/portage/app-emulation/qemu-3.1.0/work
>>> Preparing source in /var/tmp/portage/app-emulation/qemu-3.1.0/work/qemu-3.1.0 ...
 * Applying qemu-2.5.0-cflags.patch ...                                      [ ok ]
 * Applying qemu-2.5.0-sysmacros.patch ...                                   [ ok ]
 * Applying qemu-2.11.1-capstone_include_path.patch ...                      [ ok ]
 * Applying qemu-3.1.0-CVE-2018-20123.patch ...                              [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-emulation/qemu-3.1.0/work/qemu-3.1.0 ...
../configure --prefix=/usr --sysconfdir=/etc --libdir=/usr/lib64 --docdir=/usr/share/doc/qemu-3.1.0/html --disable-bsd-user --disable-guest-agent --disable-strip --disable-werror --disable-gcrypt --python=/usr/bin/python3.6 --cc=x86_64-pc-linux-gnu-gcc --cxx=x86_64-pc-linux-gnu-g++ --host-cc=x86_64-pc-linux-gnu-gcc --disable-debug-info --disable-debug-tcg --enable-docs --disable-tcg-interpreter --enable-attr --disable-bluez --disable-brlapi --enable-linux-aio --enable-bzip2 --disable-capstone --enable-cap-ng --enable-curl --enable-fdt --disable-glusterfs --disable-gnutls --disable-nettle --disable-gtk --disable-rdma --disable-libiscsi --enable-vnc-jpeg --enable-kvm --disable-lzo --enable-curses --disable-libnfs --disable-numa --enable-opengl --enable-vnc-png --disable-rbd --disable-vnc-sasl --enable-sdl --enable-seccomp --disable-smartcard --disable-snappy --disable-spice --disable-libssh2 --enable-libusb --disable-usb-redir --disable-vde --enable-vhost-net --disable-virglrenderer --disable-virtfs --enable-vnc --disable-vte --disable-xen --disable-xen-pci-passthrough --disable-xfsctl --enable-libxml2 --audio-drv-list=pa,sdl,alsa,oss --with-sdlabi=2.0 --disable-linux-user --enable-system --disable-tools --target-list=x86_64-softmmu --enable-pie

ERROR: User requested feature curl
       configure was not able to find it.
       Install libcurl devel

 * ERROR: app-emulation/qemu-3.1.0::gentoo failed (configure phase):
 *   configure failed
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_configure
 *   environment, line 4843:  Called qemu_src_configure 'softmmu'
 *   environment, line 4619:  Called die
 * The specific snippet of code:
 *       ../configure "${conf_opts[@]}" || die "configure failed";
 *
 * If you need support, post the output of `emerge --info '=app-emulation/qemu-3.1.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-emulation/qemu-3.1.0::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/app-emulation/qemu-3.1.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/qemu-3.1.0/temp/environment'.
 * Working directory: '/var/tmp/portage/app-emulation/qemu-3.1.0/work/qemu-3.1.0/softmmu-build'
 * S: '/var/tmp/portage/app-emulation/qemu-3.1.0/work/qemu-3.1.0'

der softmmu_build
Code:
qemu_softmmu_targets_x86_64


Der Build-log für Libreoffice/libcmis

https://paste.pound-python.org/show/eIFElQpKfOAFzPgfdTas/

Das Ding hat 13.500 Zeilen. Sorry, wenn ich euch damit komme. Diese Art der Angaben ist mir von Arch völlig fremd. Worauf muss ich bei einem solchen Build-Log achten und wie geht man dann damit um?

LG Micha
Back to top
View user's profile Send private message
Child_of_Sun_24
Guru
Guru


Joined: 28 Jul 2004
Posts: 465

PostPosted: Thu Jan 17, 2019 4:31 pm    Post subject: Reply with quote

Mit welchen Use Flags ist net-misc/curl bei dir installiert bzw. versuche es nochmal zu installieren.
Back to top
View user's profile Send private message
grumblebear
Tux's lil' helper
Tux's lil' helper


Joined: 26 Feb 2008
Posts: 141

PostPosted: Thu Jan 17, 2019 5:27 pm    Post subject: Reply with quote

Also scheitern beide Pakete an curl. Daher dachte ich, das revdep-rebuild vielleicht curl bemängeln würde. Wie es aussieht, braucht libcmis curl mit ssl. Schau mal, ob das ssl use flag bei curl gesetzt ist und kompilier curl damit auf jeden Fall neu.
Back to top
View user's profile Send private message
mptaiko
n00b
n00b


Joined: 05 Jan 2019
Posts: 33

PostPosted: Thu Jan 17, 2019 8:13 pm    Post subject: Reply with quote

Hallo und vielen Dank nochmal in die Runde,

es lag tatsächlich an einem nicht gesetzten ssl-USE Flag in /etc/portage/package.use. nachdem ich für curl dieses USE Flag gesetzt habe, liessen sich beide Anwendungen problemlos installieren. Ich werde mir die konkreten Dateien noch einmal genauer ansehen, damit ich sehe, wo man diese Information konkret findet.

LG Micha
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sat Jan 19, 2019 7:26 am    Post subject: Reply with quote

Da ist vielleicht bei dir mehr im Argen:
Code:
# Default starting set of USE flags for all default/linux profiles.
USE="berkdb crypt ipv6 ncurses nls pam readline ssl tcpd zlib"

USE=ssl sollte bei ordentlich gesetztem profile gesetzt sein. Hast du das USE-Flag irgendwo deaktiviert?
Kannst du uns die Ausgabe von emerge --info posten? (Wäre generell bei Problemen hilfreich)
Vielleicht auch noch die /etc/portage/make.conf

Grüße
Franz
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum